package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponSendStatus {

    // 0：有效 1：无效
    VALID(0,"有效"),
    INVALID(1, "无效")
    ;

    public static EnumCouponSendStatus getEnum(Integer code) {
        for (EnumCouponSendStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponSendStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
